package com.agilefaqs.rft.suggestions.strategies;

public class ChildStrategyParam {
    private String token1;
    private String token2;
    private String token3;

    public ChildStrategyParam(final String firstToken, final String secondToken, final String userLastName) {
        token1 = firstToken;
        token2 = secondToken;
        token3 = userLastName;
    }

    public String getToken1() {
        return token1;
    }

    public String getToken2() {
        return token2;
    }

    public String getToken3() {
        return token3;
    }

    @Override
    public boolean equals(final Object other) {
        if (this == other)
            return true;
        if (other == null)
            return false;
        if (!this.getClass().getName().equals(other.getClass().getName()))
            return false;
        return equals((ChildStrategyParam) other);
    }

    private boolean equals(final ChildStrategyParam other) {
        convertNullsToEmpty(other);
        convertNullsToEmpty(this);
        return token1.equals(other.token1) && token2.equals(other.token2) && token3.equals(other.token3);

    }

    private void convertNullsToEmpty(final ChildStrategyParam param) {
        if (param.token1 == null)
            param.token1 = "";
        if (param.token2 == null)
            param.token2 = "";
        if (param.token3 == null)
            param.token3 = "";

    }

}
