package com.agilefaqs.rft.suggestions.strategies;

import com.agilefaqs.rft.domain.UserService;
import com.agilefaqs.rft.suggestions.SuggestionsUtil;

public class LastNameInitialYearBasedStrategy extends AbstractChildStrategy {

    public LastNameInitialYearBasedStrategy(UserService userService, SuggestionsUtil utils) {
        super(userService, utils);
    }

    @Override
    public String generateId(ChildStrategyParam param) {
        final String initial = String.valueOf(param.getToken3().charAt(0));
        final String token1 = param.getToken1().concat(initial).concat(currentYear());
        final String token2 = param.getToken2();
        return getIdentity(token1, token2);
    }

}
