package com.agilefaqs.rft.domain;

public class LocationInformation {
    private final Country country;
    private final String city;

    public LocationInformation(final Country country, final String city) {
        this.country = country;
        this.city = city;
    }

    public Country getCountry() {
        return country;
    }

    public String getCountryName() {
        return country.getName();
    }

    public String getCountryMoniker() {
        return country.getMoniker();
    }

    public String getCity() {
        return city;
    }
}
